package com.ruoyi.app.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 入场批次对象 entrance_batch
 * 
 * @author coede
 * @date 2025-03-19
 */
public class EntranceBatch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 供应商ID */
    @Excel(name = "供应商ID")
    private Long supplierId;

    /** 进场时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "进场时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date entranceTime;

    /** 动物品种 */
    @Excel(name = "动物品种")
    private String variety;

    /** 运输车辆 */
    @Excel(name = "运输车辆")
    private String transportVehicle;

    /** 重量 */
    @Excel(name = "重量")
    private BigDecimal weight;

    /** 待宰圈 */
    @Excel(name = "待宰圈")
    private String pigpens;

    /** 检疫证号码 */
    @Excel(name = "检疫证号码")
    private String animalCertNo;

    /** 检疫证图片或文件 */
    @Excel(name = "检疫证图片或文件")
    private String animalCertPics;

    /** 货主 */
    @Excel(name = "货主")
    private String cargoOwner;

    /** 主体识别号 */
    @Excel(name = "主体识别号")
    private String companyNo;

    /** 货主联系方式 */
    @Excel(name = "货主联系方式")
    private String cargoOwnerPhone;

    /** 动物种类 */
    @Excel(name = "动物种类")
    private String animalCategory;

    /** 数量 */
    @Excel(name = "数量")
    private Integer amount;

    /** 单位 */
    @Excel(name = "单位")
    private String units;

    /** 用途 */
    @Excel(name = "用途")
    private String useto;

    /** 启运地点 */
    @Excel(name = "启运地点")
    private String fromPlace;

    /** 到达地点 */
    @Excel(name = "到达地点")
    private String toPlace;

    /** 承运人 */
    @Excel(name = "承运人")
    private String carrier;

    /** 承运人联系方式 */
    @Excel(name = "承运人联系方式")
    private String carrierPhone;

    /** 牲畜耳标号 */
    @Excel(name = "牲畜耳标号")
    private String animalEartags;

    /** 删除标志 */
    private String delFlag;

    private HarmlessTreatment harmlessTreatment;

    private Supplier supplier;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSupplierId(Long supplierId) 
    {
        this.supplierId = supplierId;
    }

    public Long getSupplierId() 
    {
        return supplierId;
    }

    public void setEntranceTime(Date entranceTime) 
    {
        this.entranceTime = entranceTime;
    }

    public Date getEntranceTime() 
    {
        return entranceTime;
    }

    public void setVariety(String variety) 
    {
        this.variety = variety;
    }

    public String getVariety() 
    {
        return variety;
    }

    public void setTransportVehicle(String transportVehicle) 
    {
        this.transportVehicle = transportVehicle;
    }

    public String getTransportVehicle() 
    {
        return transportVehicle;
    }

    public void setWeight(BigDecimal weight) 
    {
        this.weight = weight;
    }

    public BigDecimal getWeight() 
    {
        return weight;
    }

    public void setPigpens(String pigpens) 
    {
        this.pigpens = pigpens;
    }

    public String getPigpens() 
    {
        return pigpens;
    }

    public void setAnimalCertNo(String animalCertNo)
    {
        this.animalCertNo = animalCertNo;
    }

    public String getAnimalCertNo()
    {
        return animalCertNo;
    }

    public void setAnimalCertPics(String animalCertPics) 
    {
        this.animalCertPics = animalCertPics;
    }

    public String getAnimalCertPics() 
    {
        return animalCertPics;
    }

    public void setCargoOwner(String cargoOwner) 
    {
        this.cargoOwner = cargoOwner;
    }

    public String getCargoOwner() 
    {
        return cargoOwner;
    }

    public void setCompanyNo(String companyNo) 
    {
        this.companyNo = companyNo;
    }

    public String getCompanyNo() 
    {
        return companyNo;
    }

    public void setCargoOwnerPhone(String cargoOwnerPhone) 
    {
        this.cargoOwnerPhone = cargoOwnerPhone;
    }

    public String getCargoOwnerPhone() 
    {
        return cargoOwnerPhone;
    }

    public void setAnimalCategory(String animalCategory) 
    {
        this.animalCategory = animalCategory;
    }

    public String getAnimalCategory() 
    {
        return animalCategory;
    }

    public void setAmount(Integer amount) 
    {
        this.amount = amount;
    }

    public Integer getAmount() 
    {
        return amount;
    }

    public void setUnits(String units) 
    {
        this.units = units;
    }

    public String getUnits() 
    {
        return units;
    }

    public void setUseto(String useto)
    {
        this.useto = useto;
    }

    public String getUseto()
    {
        return useto;
    }

    public void setFromPlace(String fromPlace) 
    {
        this.fromPlace = fromPlace;
    }

    public String getFromPlace() 
    {
        return fromPlace;
    }

    public void setToPlace(String toPlace) 
    {
        this.toPlace = toPlace;
    }

    public String getToPlace() 
    {
        return toPlace;
    }

    public void setCarrier(String carrier) 
    {
        this.carrier = carrier;
    }

    public String getCarrier() 
    {
        return carrier;
    }

    public void setCarrierPhone(String carrierPhone) 
    {
        this.carrierPhone = carrierPhone;
    }

    public String getCarrierPhone() 
    {
        return carrierPhone;
    }

    public void setAnimalEartags(String animalEartags) 
    {
        this.animalEartags = animalEartags;
    }

    public String getAnimalEartags() 
    {
        return animalEartags;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setHarmlessTreatment(HarmlessTreatment harmlessTreatment)
    {
        this.harmlessTreatment = harmlessTreatment;
    }

    public HarmlessTreatment getHarmlessTreatment()
    {
        return harmlessTreatment;
    }

    public void setSupplier(Supplier supplier)
    {
        this.supplier = supplier;
    }
    public Supplier getSupplier()
    {
        return supplier;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("supplierId", getSupplierId())
            .append("entranceTime", getEntranceTime())
            .append("variety", getVariety())
            .append("transportVehicle", getTransportVehicle())
            .append("weight", getWeight())
            .append("pigpens", getPigpens())
            .append("animalCertNo", getAnimalCertNo())
            .append("animalCertPics", getAnimalCertPics())
            .append("cargoOwner", getCargoOwner())
            .append("companyNo", getCompanyNo())
            .append("cargoOwnerPhone", getCargoOwnerPhone())
            .append("animalCategory", getAnimalCategory())
            .append("amount", getAmount())
            .append("units", getUnits())
            .append("useto", getUseto())
            .append("fromPlace", getFromPlace())
            .append("toPlace", getToPlace())
            .append("carrier", getCarrier())
            .append("carrierPhone", getCarrierPhone())
            .append("animalEartags", getAnimalEartags())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
                .append("harmlessTreatment", getHarmlessTreatment())
                .append("supplier", getSupplier())
            .toString();
    }
}
